Name:			fotoxx
Version:		17.01.1
Release:		%mkrel 1
Summary:		Editor of image files from digital cameras
License:		GPLv3
Group:			Graphics/Editors and Converters
URL:			http://www.kornelix.com/fotoxx.html
Source0:		http://www.kornelix.com/downloads/tarballs/%{name}-%{version}.tar.gz
Patch0:			fotoxx-16.09-mga-desktop_file.patch
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		pkgconfig(lcms2)
BuildRequires:		pkgconfig(libraw)
BuildRequires:		pkgconfig(libtiff-4)
BuildRequires:		pkgconfig(champlain-0.12)
BuildRequires:		pkgconfig(champlain-gtk-0.12)
BuildRequires:		ufraw
BuildRequires:		perl-Image-ExifTool
BuildRequires:		xdg-utils

Requires:		exiv2
Requires:		ufraw
Requires:		perl-Image-ExifTool
Requires:		dcraw
Recommends:		brasero
Recommends:		rawtherapee

%description
Edit image files from a digital camera. Includes color and contrast
enhancement, red-eye removal, sharpen, crop, rotate, noise removal,
HDR (high dynamic range) and panorama image compositing, thumbnail
image browser, tag editing and search.

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
cp %{buildroot}%{_datadir}/%{name}/icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%files
%{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jan 14 2017 daviddavid <daviddavid> 17.01.1-1.mga6
+ Revision: 1081727
- new version: 17.01.1

* Wed Dec 28 2016 neoclust <neoclust> 16.09-2.mga6
+ Revision: 1078428
- Rebuild for new libraw

* Sat Sep 17 2016 daviddavid <daviddavid> 16.09-1.mga6
+ Revision: 1053547
- new version: 16.09
- rename and rediff desktop_file patch

* Sat Apr 23 2016 daviddavid <daviddavid> 16.05.1-1.mga6
+ Revision: 1005760
- new version: 16.05.1

* Wed Apr 06 2016 daviddavid <daviddavid> 16.04-1.mga6
+ Revision: 998840
- new version: 16.04

* Fri Mar 04 2016 daviddavid <daviddavid> 16.03-1.mga6
+ Revision: 985470
- new version: 16.03

* Wed Feb 03 2016 daviddavid <daviddavid> 16.02-1.mga6
+ Revision: 933314
- new version: 16.02
- rename and rediff desktop patch

* Sun Jan 10 2016 daviddavid <daviddavid> 16.01.1-1.mga6
+ Revision: 921233
- new version: 16.01.1

* Fri Jan 01 2016 daviddavid <daviddavid> 16.01-1.mga6
+ Revision: 918025
- new version: 16.01

* Mon Dec 28 2015 daviddavid <daviddavid> 15.12.1-1.mga6
+ Revision: 916332
- new version: 15.12.1
- update Source URL

* Wed Dec 02 2015 daviddavid <daviddavid> 15.12-1.mga6
+ Revision: 907603
- new version: 15.12

* Wed Nov 25 2015 daviddavid <daviddavid> 15.11.1-1.mga6
+ Revision: 905938
- new version: 15.11.1
- use upstream desktop file
- add patch0 to fix upstream desktop file
- remove no more needed fix for appstream metadata location
- switch BRs to pkgconfig()

* Wed Oct 15 2014 umeabot <umeabot> 14.09-3.mga5
+ Revision: 744535
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 14.09-2.mga5
+ Revision: 679308
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Sep 09 2014 bersuit <bersuit> 14.09-1.mga5
+ Revision: 674122
- Upgrade to new upstream version 14.09

* Wed Aug 27 2014 doktor5000 <doktor5000> 14.08-1.mga5
+ Revision: 668899
- new version 14.08
- added missing Suggests on brasero and rawtherapee
- moved appstream metadata from /usr/share/appdata to correct location

* Wed Apr 02 2014 bersuit <bersuit> 14.04-1.mga5
+ Revision: 611405
- Updated to new upstream version 14.04

* Mon Feb 10 2014 dams <dams> 14.02.2-1.mga5
+ Revision: 588959
- new version 14.02.2

* Mon Oct 21 2013 umeabot <umeabot> 13.09.4-2.mga4
+ Revision: 536981
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 bersuit <bersuit> 13.09.4-1.mga4
+ Revision: 485636
- Drop pthread patch
- Update to new upstream release 13.09.4

* Mon Jun 03 2013 fwang <fwang> 13.05.2-2.mga4
+ Revision: 435901
- rebuild for new libpng

* Thu May 23 2013 shlomif <shlomif> 13.05.2-1.mga4
+ Revision: 424997
- New BR - lcms2-devel
- New version - 13.05.2

* Fri Jan 11 2013 umeabot <umeabot> 13.01.1-2.mga3
+ Revision: 350788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Mon Jan 07 2013 juancho <juancho> 13.01.1-1.mga3
+ Revision: 340958
- Updated to 13.01.1

* Wed Dec 26 2012 juancho <juancho> 12.12.2-1.mga3
+ Revision: 335263
- Updated to version 12.12.2

* Thu Nov 29 2012 juancho <juancho> 12.11-1.mga3
+ Revision: 323164
- Updated to 12.11

* Mon Oct 08 2012 juancho <juancho> 12.10.1-2.mga3
+ Revision: 303555
- Added Requires: dcraw

* Mon Oct 08 2012 juancho <juancho> 12.10.1-1.mga3
+ Revision: 303379
- Updated to 12.10.1

* Mon Aug 06 2012 juancho <juancho> 12.08-1.mga3
+ Revision: 279578
- Updated to 12.08

* Tue Jun 05 2012 juancho <juancho> 12.06.1-1.mga3
+ Revision: 255938
- Updated to 12.06.1

* Mon Mar 05 2012 juancho <juancho> 12.03.1-1.mga2
+ Revision: 219263
- Updated to 12.03.1

* Thu Mar 01 2012 juancho <juancho> 12.02-1.mga2
+ Revision: 216352
- Updated to 12.02
- Removed old BuildRoot stuff

  + ofaurax <ofaurax>
    - Missing BuildRequires: glibc-devel, for pthread.h
    - Upgrade new package to new version
    - imported package fotoxx

